v4.0
post
/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/subjects/{subjectId}/reuse-kits
Retrieves previously dispensed kits, from a list of kit types passed in the request body, that can be reused in the current visit for a given subject. Support for unblinded pharmacist kits which are put on dose hold. UTF-8 format support for kitNumber. Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
-
subjectId(required): string(uuid)
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
Supported Media Types
- application/json
Root Schema : Visit Dose Hold Request
Type:
objectTitle:
Visit Dose Hold RequestRequest containing dose hold parameters for a visit.
Show Source
-
instanceNumber: number
(BigDecimal)
Minimum Value:
1Instance number of the unscheduled visitExample:2 -
kitTypesForDoseHold: array
kitTypesForDoseHold
-
screeningDate: string
(date-time)
Screening date.
-
studyVersion(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
1.0.0.5 -
titrationOption: string
Allowed Values:
[ "up", "down", "maintain" ]Pattern:up|down|maintainTitration options to dispense kits. For example: up/down/maintain.Example:up -
visitId(required): string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
-
visitStartDate: string
(date-time)
Visit start date.
Nested Schema : kitTypesForDoseHold
Type:
Show Source
array-
Array of:
object Dose Hold Request
Title:
Dose Hold RequestRequest containing dose hold settings.
Nested Schema : Dose Hold Request
Type:
objectTitle:
Dose Hold RequestRequest containing dose hold settings.
Show Source
-
deviceType: string
Title:
Device TypeDevice type.Example:Spirometer -
isTitration: boolean
Title:
TitrationIndicates whether the current medication is a titration.Example:true -
kitTypeSrcId: string
(uuid)
Title:
Kit Type Source IDKit type ID. -
trialSupplyType: string
Title:
Trial Supply TypeType of the trial supply.Example:BOTTLE
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Reusable Kits Response
Type:
objectTitle:
Reusable Kits ResponseContains details of reusable kits.
Show Source
-
kits: array
kits
-
status(required): string
Allowed Values:
[ "ALLOW", "REUSE_NOT_ALLOWED" ]Indicates whether reuse is allowed.Example:ALLOW
Nested Schema : kits
Type:
Show Source
array-
Array of:
object ReusableKit
Title:
ReusableKitResponse containing reusable kit details.
Nested Schema : ReusableKit
Type:
objectTitle:
ReusableKitResponse containing reusable kit details.
Show Source
-
consumeAcrossDoses: boolean
Indicate if consume across dosed allowed.Example:
true -
dose: number
(double)
Dose.Example:
5 -
frequency: string
Allowed Values:
[ "Once", "QD", "BID", "TID", "QID", "Q3", "Q4", "Q8", "Q12", "Q24", "Bedtime", "With meals", "With meals and at bedtime" ]Dosing frequency.Example:BID -
id: number
(Integer)
Id of the reusable kit.Example:
2 -
inventoryId: string
(uuid)
ID of the inventory.
-
kitDescription: string
Kit description.Example:
Kit A -
measurement: string
Dose Measurement.Example:
ml -
trialSupplyType: string
Trial Supply TypeExample:
BOTTLE
400 Response
Invalid subject OR Scheduled visit with instance number OR Unscheduled visit with no instance number
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object